Bug 439304 - [RHEL5.2] makedumpfile fails reducing dumpfile size
[RHEL5.2] makedumpfile fails reducing dumpfile size
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Munehiro IKEDA
Martin Jenner
: OtherQA, Regression
Depends On:
Blocks: 391501 253850 441363 445799
  Show dependency treegraph
 
Reported: 2008-03-27 19:15 EDT by Munehiro IKEDA
Modified: 2013-08-05 22:54 EDT (History)
8 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:13:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds "phys_base" in elf note section. (605 bytes, patch)
2008-03-27 19:29 EDT, Munehiro IKEDA
no flags Details | Diff
Adds "phys_base" in elf note section, with care Xen. (571 bytes, patch)
2008-04-01 16:57 EDT, Munehiro IKEDA
no flags Details | Diff

  None (edit)
Description Munehiro IKEDA 2008-03-27 19:15:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja; rv:1.8.1.13) Gecko/20080325 Ubuntu/7.10 (gutsy) Firefox/2.0.0.13

Description of problem:
makedumpfile(the dump filtering command) cannot run on x86_64,
and it is impossible to reduce the dumpfile size.

Version-Release number of selected component (if applicable):
kernel-2.6.18-85.el5

How reproducible:
Always


Steps to Reproduce:
1. Add "crashkernel=crashkernel=128M@16M" to kernel parameter.
2. Add the following lines to /etc/kdump.conf file
   (/dev/sda4 should be changed to a dump partition):
  ext3 /dev/sda4
  core_collector makedumpfile -cd31
3. Enable the kdump service by the following command:
  # chkconfig kdump on
4. Reboot a system.
5. Make a panic by the following command:
  # echo c > /proc/sysrq-trigger

Actual Results:
Two dumpfiles are created.
The first dumpfile is saved to the dump partition that is specified in
/etc/kdump.conf.
The file name is "vmcore-incomplete", and the file size is 0 byte.
The second dumpfile is saved to the root partition, in /var/crash.
The file name is "vmcore", and the file size is almost the same as
the system memory size.

Expected Results:
Only one dumpfile should be created, and it is saved to the dump partition that is specified in /etc/kdump.conf.
The file name should be "vmcore" and whose file size is smaller than the system memory size.


Additional info:
- This problem happens on x86_64, it does not happen on i386.
- This problem is due to the lack of the symbol "phys_base" in an elf
 note section of /proc/vmcore.
 makedumpfile considers an x86_64 kernel as relocatable, if the symbol
 "phys_base" exists. If the lack of the symbol "phys_base" in an elf
 note section, makedumpfile misunderstands and cannot translate a virtual
 address to physical address.
- The attached patch was sent from NEC folks. It adds the symbol "phys_base" to an elf note section and they state it fixes this problem. This patch is for kernel-2.6.18-85.el5.
Comment 1 Munehiro IKEDA 2008-03-27 19:29:17 EDT
Created attachment 299410 [details]
Adds "phys_base" in elf note section.
Comment 2 Issue Tracker 2008-03-28 02:33:20 EDT
Nomura-san requested me by email that Ikeda-san would start working on the
bug fix at bz#439304(REGRESSION). 



This event sent from IssueTracker by moshiro@redhat.com 
 issue 171220
Comment 3 Munehiro IKEDA 2008-04-01 16:57:06 EDT
Created attachment 299967 [details]
Adds "phys_base" in elf note section, with care Xen.

Tested on x86_64 with: 
- RHEL5.2-Server-20080326.0
- kernel.x86_64-2.6.18-87.el5
- kexec-tools.x86_64-1.102pre-16.el5

Confirmed clean build and proper creation of dumpfile with this patch.
Comment 6 Munehiro IKEDA 2008-04-07 20:04:35 EDT
Confirmed no regression on Xen environment.

Tested on X86_64 with:
- RHEL5.2-Server-20080402.0
  -- kernel-2.6.18-88.el5
  -- kernel-xen-2.6.18-88.el5
  -- xen-3.0.3-61.el5
  -- kexec-tools-1.102pre-16.el5

Below are confirmed both before and after applying patch(comment #3):
- kdump can dump dom0/hypervisor
- "xm dump-core" can dump para-virtualized domU
Comment 7 Don Zickus 2008-04-09 14:44:37 EDT
in kernel-2.6.18-89.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 John Poelstra 2008-04-09 18:45:18 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot4--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 10 IKEDA, Munehiro 2008-04-10 19:27:20 EDT
(In reply to comment #9)
> A fix for this issue should be included in the latest packages contained in
> RHEL5.2-Snapshot4--available now on partners.redhat.com.  

The fix is included in kernel-2.6.18- *89* .el5.
The kernel in RHEL5.2-Snapshot4 is kernel-2.6.18- *88* .el5.

So, Snapshot4 doesn't include this fix, right?

Comment 11 John Poelstra 2008-04-23 13:40:44 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot6--available now on partners.redhat.com.  

We are nearing GA for 5.2 so please test and confirm that your issue is fixed ASAP.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 12 John Poelstra 2008-05-01 12:50:49 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot7--available now on partners.redhat.com.  

We are nearing GA for 5.2--this is the last opportunity to test and confirm that
your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 13 Mike Gahagan 2008-05-05 15:18:12 EDT
Confirmed makedumpfile is working as expected on x86_64 with the -92 kernel.
Comment 15 Ken'ichi Ohmichi 2008-05-13 20:25:14 EDT
We confirmed that this problem is fixed with RHEL5.2GA RC(2.6.18-92.el5).
Comment 16 errata-xmlrpc 2008-05-21 11:13:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.